> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Update Secret ## OpenAPI ````yaml https://core-api-public-docs.b-cdn.net/docs/v3/compute.json post /compute/script/{id}/secrets/{secretId} openapi: 3.0.0 info: title: bunny.net Compute API description: >- bunny.net Logo Edge Scripts and Compute API documentation for bunny.net. This API provides endpoints for managing edge scripts, releases, secrets, variables, and other compute-related resources. termsOfService: https://bunny.net/tos contact: name: bunny.net url: https://docs.bunny.net email: support@bunny.net version: 1.0.0 servers: - url: https://api.bunny.net description: bunny.net API Server security: - AccessKey: [] paths: /compute/script/{id}/secrets/{secretId}: post: tags: - Secret summary: Update Secret operationId: UpdateEdgeScriptSecretEndpoint_UpdateEdgeScriptSecret parameters: - name: id in: path required: true description: The ID of the script that will have the secret updated schema: type: integer format: int64 x-position: 1 - name: secretId in: path required: true description: The ID of the secret that will be updated schema: type: integer format: int64 x-position: 2 requestBody: x-name: model description: The secret that will be updated content: application/json: schema: $ref: '#/components/schemas/EdgeScriptUpdateSecretModel' required: true x-position: 3 responses: '200': description: The script with the requested ID content: application/json: schema: $ref: '#/components/schemas/EdgeScriptSecretModel' '400': description: The request validation failed content: application/json: schema: $ref: '#/components/schemas/ApiErrorData' '401': description: The request authorization failed '404': description: The script with the requested ID does not exist. '500': description: Internal Server Error security: - AccessKey: - User - UserApi - SubuserAPICompute - SubuserAPIDns - SubuserCompute - SubuserManage - SubuserAPIManage - ScopedApiKey - bearer: - User - UserApi - SubuserAPICompute - SubuserAPIDns - SubuserCompute - SubuserManage - SubuserAPIManage - ScopedApiKey components: schemas: EdgeScriptUpdateSecretModel: type: object additionalProperties: false properties: Secret: type: string maxLength: 4096 nullable: true EdgeScriptSecretModel: type: object additionalProperties: false properties: Id: type: integer format: int64 Name: type: string nullable: true LastModified: type: string format: date-time ApiErrorData: type: object additionalProperties: false properties: ErrorKey: type: string nullable: true Field: type: string nullable: true Message: type: string nullable: true securitySchemes: AccessKey: type: apiKey description: API Access Key authorization header name: AccessKey in: header bearer: type: apiKey description: Bearer token authorization header name: Authorization in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.